Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

ezuser/admin/datasupplier.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: datasupplier.php 9460 2002-04-24 07:23:43Z bf $
5 //
6 // Created on: <23-Oct-2000 17:53:46 bf>
7 //
8 // This source file is part of Exponential Basic, publishing software.
9 //
10 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
11 //
12 // This program is free software; you can redistribute it and/or
13 // modify it under the terms of the GNU General Public License
14 // as published by the Free Software Foundation; either version 2
15 // of the License, or (at your option) any later version.
16 //
17 // This program is distributed in the hope that it will be useful,
18 // but WITHOUT ANY WARRANTY; without even the implied warranty of
19 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
20 // GNU General Public License for more details.
21 //
22 // You should have received a copy of the GNU General Public License
23 // along with this program; if not, write to the Free Software
24 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
25 //
26
27
28
29 // include_once( "ezuser/classes/ezpermission.php" );
30 // include_once( "ezuser/classes/ezuser.php" );
31 // include_once( "classes/ezhttptool.php" );
32
33 // include_once( "classes/INIFile.php" );
34
35 $user =& eZUser::currentUser();
36
37 if ( is_a( $user, "eZUser" ) and eZPermission::checkPermission( $user, "eZUser", "ModuleEdit" ) == true)
38 {
39 // These should only be available if the user has permissions...
40 switch ( $url_array[2] )
41 {
42 case "" :
43 {
44 include( "kernel/ezuser/admin/welcome.php" );
45 }
46 break;
47
48 case "welcome" :
49 {
50 include( "kernel/ezuser/admin/welcome.php" );
51 }
52 break;
53
54 case "extsearch" :
55 {
56 include( "kernel/ezuser/admin/extsearch.php" );
57 }
58 break;
59
60 case "authorlist" :
61 {
62 include( "kernel/ezuser/admin/authorlist.php" );
63 }
64 break;
65
66 case "photographerlist" :
67 {
68 include( "kernel/ezuser/admin/photographerlist.php" );
69 }
70 break;
71
72 case "sessioninfo" :
73 {
74 if ( $url_array[3] == "delete" )
75 {
76 $Action = "Delete";
77 $SessionID = $url_array[4];
78 }
79 include( "kernel/ezuser/admin/sessioninfo.php" );
80 }
81 break;
82
83 // hack: Two methods to access the userlist. Through direct GroupID here, or by indexes (under)
84 case "ingroup" :
85 {
86 $GroupID = $url_array[3];
87 $Index = 0;
88 include( "kernel/ezuser/admin/userlist.php" );
89 }
90 break;
91 // end hack
92
93 case "userlist" :
94 {
95 $Index = $url_array[3];
96 $OrderBy = $url_array[4];
97 if ( !isset( $GroupID ) )
98 $GroupID = $url_array[5];
99 include( "kernel/ezuser/admin/userlist.php" );
100 }
101 break;
102
103 case "grouplist" :
104 {
105 include( "kernel/ezuser/admin/grouplist.php" );
106 }
107 break;
108
109 case "useredit" :
110 {
111 if ( $url_array[3] == "new" )
112 {
113 $Action = "new";
114 include( "kernel/ezuser/admin/useredit.php" );
115 }
116 else if ( $url_array[3] == "insert" )
117 {
118 $Action = "insert";
119 include( "kernel/ezuser/admin/useredit.php" );
120 }
121
122 else if ( $url_array[3] == "edit" )
123 {
124 $Action = "edit";
125 $UserID = $url_array[4];
126 include( "kernel/ezuser/admin/useredit.php" );
127 }
128 else if ( $url_array[3] == "update" )
129 {
130 $Action = "update";
131 $UserID = $url_array[4];
132 include( "kernel/ezuser/admin/useredit.php" );
133 }
134 else if ( $url_array[3] == "delete" )
135 {
136 $Action = "delete";
137 $UserID = $url_array[4];
138 include( "kernel/ezuser/admin/useredit.php" );
139 }
140 }
141 break;
142
143 case "groupedit" :
144 {
145 if ( $url_array[3] == "new" )
146 {
147 include( "kernel/ezuser/admin/groupedit.php" );
148 }
149 else if ( $url_array[3] == "insert" )
150 {
151 $Action = "insert";
152 include( "kernel/ezuser/admin/groupedit.php" );
153 }
154
155 else if ( $url_array[3] == "edit" )
156 {
157 $Action = "edit";
158 $GroupID = $url_array[4];
159 include( "kernel/ezuser/admin/groupedit.php" );
160 }
161 else if ( $url_array[3] == "update" )
162 {
163 $Action = "update";
164 $GroupID = $url_array[4];
165 include( "kernel/ezuser/admin/groupedit.php" );
166 }
167 else if ( $url_array[3] == "delete" )
168 {
169 $Action = "delete";
170 $GroupID = $url_array[4];
171 include( "kernel/ezuser/admin/groupedit.php" );
172 }
173 }
174 break;
175
176 case "login" :
177 {
178 $Action = $url_array[3];
179 include( "kernel/ezuser/admin/login.php" );
180 }
181 break;
182
183 case "success" :
184 {
185 $Action = $url_array[3];
186 include( "kernel/ezuser/admin/success.php" );
187 }
188 break;
189
190 case "logout" :
191 {
192 $Action = $url_array[3];
193 include( "kernel/ezuser/admin/login.php" );
194 }
195 break;
196
197 case "passwordchange" :
198 {
199 $ini =& eZINI::instance( 'site.ini' );
200 $DemoSite = $ini->variable( "site", "DemoSite" );
201
202 if ( $DemoSite == "enabled" ) {
203 print("<div align='center'>This is a demosite only. You are not allowed to change the admin password!</div>\n");
204 }else{
205 $Action = $url_array[3];
206 include( "kernel/ezuser/admin/passwordchange.php" );
207 }
208
209 }
210 break;
211
212 case "settings" :
213 {
214 $Action = $url_array[3];
215 include( "kernel/ezuser/admin/settings.php" );
216 }
217 break;
218
219 default :
220 {
221 eZHTTPTool::header( "Location: /error/403" );
222 exit();
223 }
224 break;
225 }
226 }
227 else
228 {
229 // These should allways be available
230 switch( $url_array[2] )
231 {
232 case "login" :
233 {
234 if ( isset( $url_array[3] ) )
235 $Action = $url_array[3];
236 else
237 $Action = "";
238 include( "kernel/ezuser/admin/login.php" );
239 }
240 break;
241
242 case "success" :
243 {
244 $Action = $url_array[3];
245 include( "kernel/ezuser/admin/success.php" );
246 }
247 break;
248
249 case "logout" :
250 {
251 $Action = $url_array[3];
252 include( "kernel/ezuser/admin/login.php" );
253 }
254 break;
255
256 case "passwordchange" :
257 {
258 $Action = $url_array[3];
259 include( "kernel/ezuser/admin/passwordchange.php" );
260 }
261 break;
262
263 case "settings" :
264 {
265 $Action = $url_array[3];
266 include( "kernel/ezuser/admin/settings.php" );
267 }
268 break;
269
270 default :
271 {
272 include( "kernel/ezuser/admin/login.php" );
273 }
274 break;
275
276 }
277 }
278
279 ?>
eZHTTPTool\header
static header( $string)
Definition: ezhttptool.php:96
eZPermission\checkPermission
static checkPermission( $user, $moduleName, $permissionName)
Definition: ezpermission.php:430
eZUser\currentUser
static & currentUser()
Definition: ezuser.php:896
$ini
$ini
Definition: classes/admin/linklist.php:64
$Action
$Action
Definition: companysearch.php:80
$Index
$Index
Definition: eZPBINIFile.php:499
$url_array
$url_array
Definition: ezaddress/admin/datasupplier.php:34
$user
$user
Definition: ezuser/admin/datasupplier.php:35
exit
exit
Definition: folder.php:81
$OrderBy
$OrderBy
Definition: reciverpopup.php:21
$GroupID
$GroupID
Definition: rssheadlines.php:51
$UserID
$UserID
Definition: todoedit.php:122
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.